# Uses of Class
org.globus.ftp.exception.FTPException

Packages that use FTPException
Package
Description
org.globus.ftp
org.globus.ftp.exception
org.globus.io.streams
Implements the standard Java I/O streams interface for a number of different protocols, including FTP, GSIFTP, HTTP, HTTPS, and File.
org.globus.io.urlcopy
This library provides a simple API for transferring a file from one location to another.

## Uses of FTPException in org.globus.ftp

Methods in org.globus.ftp that throw FTPException
Modifier and Type
Method
Description
`void`
FileInfo.`parseUnixListReply(String reply)`
Given a line of reply received as the result of "LIST" command, this method will set all the attributes(name,size,time,date and file type) of the named file.
Constructors in org.globus.ftp that throw FTPException
Modifier
Constructor
Description
``
`FileInfo(String unixListReply)`
Parses the file information from one line of response to the FTP LIST command.
``
`MlsxEntry(String mlsxEntry)`
Constructor for MlsxEntry.

## Uses of FTPException in org.globus.ftp.exception

Subclasses of FTPException in org.globus.ftp.exception
Modifier and Type
Class
Description
`class`
`ClientException`
Indicates a local client side problem that has not been caused by remote server nor the local data channel.
`class`
`DataChannelException`
Indicates data channel problems.
`class`
`FTPReplyParseException`
Indicates that the reply received from server failed to parse.
`class`
`PerfMarkerException`
thrown by PerformanceMarker, mostly during construction.
`class`
`ServerException`
Indicates that operation failed because of conditions on the server, independent from the client.
`class`
`UnexpectedReplyCodeException`
Indicates that the received reply had different code than it had been expected.

## Uses of FTPException in org.globus.io.streams

Methods in org.globus.io.streams that throw FTPException
Modifier and Type
Method
Description
`protected void`
FTPInputStream.`get(boolean passive, int type, String remoteFile)`
`protected void`
FTPOutputStream.`put(boolean passive, int type, String remoteFile, boolean append)`
Constructors in org.globus.io.streams that throw FTPException
Modifier
Constructor
Description
``
`FTPInputStream(String host, int port, String user, String pwd, String file)`
``
`FTPInputStream(String host, int port, String user, String pwd, String file, boolean passive, int type)`
``
`FTPOutputStream(String host, int port, String user, String pwd, String file, boolean append)`
``
`FTPOutputStream(String host, int port, String user, String pwd, String file, boolean append, boolean passive, int type)`
``
`GridFTPInputStream(GSSCredential cred, String host, int port, String file)`
``
`GridFTPInputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean reqDCAU)`
``
`GridFTPInputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean passive, int type, boolean reqDCAU)`
``
`GridFTPOutputStream(GSSCredential cred, String host, int port, String file, boolean append)`
``
`GridFTPOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean append, boolean reqDCAU)`
``
`GridFTPOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean append, boolean passive, int type, boolean reqDCAU)`
``
`GridFTPOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean append, boolean passive, int type, boolean reqDCAU, long size)`
``
`GridFTPOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean append, boolean reqDCAU, long size)`

## Uses of FTPException in org.globus.io.urlcopy

Methods in org.globus.io.urlcopy that throw FTPException
Modifier and Type
Method
Description
`protected void`
UrlCopy.`negotiateDCAU(FTPClient src, FTPClient dst)`